﻿-- PgCon2014 Working with Network Data
-- James Hanson
-- pgCreate.sql
-- Database setup

-- Instructions:  Create these extensions on the new pgcon14 database

-- SQL to generate CREATE EXTENSION statements
/*
SELECT 
  'CREATE EXTENSION ' || pae.name || ';' extension_sql
FROM pg_available_extensions pae
  LEFT JOIN pg_extension pe ON pae.name = pe.extname
WHERE pe.extname IS NULL
ORDER BY pae.name;
*/

CREATE EXTENSION autoinc;
CREATE EXTENSION btree_gin;
CREATE EXTENSION btree_gist;
CREATE EXTENSION chkpass;
CREATE EXTENSION citext;
CREATE EXTENSION cube;
CREATE EXTENSION dblink;
CREATE EXTENSION dict_int;
CREATE EXTENSION dict_xsyn;
CREATE EXTENSION earthdistance;
CREATE EXTENSION file_fdw;
CREATE EXTENSION fuzzystrmatch;
CREATE EXTENSION hstore;
CREATE EXTENSION insert_username;
CREATE EXTENSION intagg;
CREATE EXTENSION intarray;
CREATE EXTENSION isn;
CREATE EXTENSION lo;
CREATE EXTENSION ltree;
CREATE EXTENSION moddatetime;
CREATE EXTENSION pageinspect;
CREATE EXTENSION pg_buffercache;
CREATE EXTENSION pg_freespacemap;
CREATE EXTENSION pg_stat_statements;
CREATE EXTENSION pg_trgm;
CREATE EXTENSION pgcrypto;
CREATE EXTENSION pgrowlocks;
CREATE EXTENSION pgstattuple;
CREATE EXTENSION pldbgapi;
CREATE EXTENSION postgres_fdw;
CREATE EXTENSION refint;
CREATE EXTENSION seg;
CREATE EXTENSION sslinfo;
CREATE EXTENSION tablefunc;
CREATE EXTENSION tcn;
CREATE EXTENSION test_parser;
CREATE EXTENSION timetravel;
CREATE EXTENSION tsearch2;
CREATE EXTENSION unaccent;
CREATE EXTENSION xml2;
